Add Cart Line Items
Adds a line items to the *Cart*.
> #### Notes
> * Substitute your storefront domain for `yourstore.example.com`.
> * The Send a Test Request feature is not currently supported for this endpoint.
> * To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the `version` field in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly.
Path parameters
cartId
Request
OR
OR
Response
id
Cart ID, provided after creating a cart with a POST.
customerId
ID of the customer to which the cart belongs.
email
The cart's email. This is the same email that is used in the billing address
currency
This will always be the same between cart and checkout.
isTaxIncluded
Whether this item is taxable.
baseAmount
Cost of cart’s contents, before applying discounts.
discountAmount
Order based discounted amount only - Coupon discounts and product based discounts are excluded.
cartAmount
Sum of line-items amounts, minus cart-level discounts and coupons. This amount includes taxes (where applicable).
coupons
discounts
lineItems
createdTime
Time when the cart was created.
updatedTime
Time when the cart was last updated.
locale
Locale of the cart.
version
The current version of the cart increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.
Errors
409
Conflict Error